For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bing Image API

Access real-time Bing image search results and discover relevant images from a wide range of online sources with the Bing Image API.

POST https://api.serphouse.com/bing-image

Path Parameters

Name
Type
Description

responseType

String

responseType can be 'html' or 'json'

Headers

Name
Type
Description

Authorization*

String

Bearer <YOUR_API_KEY>

Content-Type*

String

application/json

Request Body

Name
Type
Description

q*

string

Search phrase that you want to search

lang*

string

You can set language for e.g. en-IN for english fr-FR for french. Get the list of available languages by making a separate request to the List of Language

loc*

string

Optional field if you specify loc_id You must choose one of the fields: loc_id or loc You can receive the list of available locations of search engines with their loc_id by making a separate request to the List of Locations

loc_id*

integer

Optional field if you specify loc you must choose one of the fields: loc_id or loc You can receive the list of available locations of search engines with their loc_id by making a separate request to the List of Locations

page

integer

Give specific page to get the result of that page number. By default it will get you first page.

no_trace

string | integer

Enterprise only. Enables NoTrace mode. Accepted values: 0, 1, true, and false. When enabled (1 or true), search parameters, files, and metadata are not stored on our servers.

{
    "status": "error",
    "msg": "Please try again",
    "error": ""
}

Example request:

Last updated